opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
CvSVMKernel Struct Reference

`#include <ml.hpp>`

## Public Types
typedef void(CvSVMKernel::* | Calc )(int vec_count, int vec_size, const float **vecs, const float *another, float *results)

## Public Member Functions
virtual void | calc (int vcount, int n, const float **vecs, const float *another, float *results)
virtual void | calc_linear (int vec_count, int vec_size, const float **vecs, const float *another, float *results)
virtual void | calc_non_rbf_base (int vec_count, int vec_size, const float **vecs, const float *another, float *results, double alpha, double beta)
virtual void | calc_poly (int vec_count, int vec_size, const float **vecs, const float *another, float *results)
virtual void | calc_rbf (int vec_count, int vec_size, const float **vecs, const float *another, float *results)
virtual void | calc_sigmoid (int vec_count, int vec_size, const float **vecs, const float *another, float *results)
virtual void | clear ()
virtual bool | create (const CvSVMParams *params, Calc _calc_func)
| CvSVMKernel ()
| CvSVMKernel (const CvSVMParams *params, Calc _calc_func)
virtual | ~CvSVMKernel ()

## Public Attributes
Calc | calc_func
const CvSVMParams * | params

## Member Typedef Documentation

typedef void(CvSVMKernel::* CvSVMKernel::Calc)(int vec_count, int vec_size, const float **vecs, const float *another, float *results)

## Constructor & Destructor Documentation

CvSVMKernel::CvSVMKernel | ( |  | ) |

CvSVMKernel::CvSVMKernel | ( | const CvSVMParams * | params,
|  | Calc | _calc_func
| ) |  |

virtual CvSVMKernel::~CvSVMKernel | ( |  | ) |
| virtual

## Member Function Documentation

virtual void CvSVMKernel::calc | ( | int | vcount,
|  | int | n,
|  | const float ** | vecs,
|  | const float * | another,
|  | float * | results
| ) |  |
| virtual

virtual void CvSVMKernel::calc_linear | ( | int | vec_count,
|  | int | vec_size,
|  | const float ** | vecs,
|  | const float * | another,
|  | float * | results
| ) |  |
| virtual

virtual void CvSVMKernel::calc_non_rbf_base | ( | int | vec_count,
|  | int | vec_size,
|  | const float ** | vecs,
|  | const float * | another,
|  | float * | results,
|  | double | alpha,
|  | double | beta
| ) |  |
| virtual

virtual void CvSVMKernel::calc_poly | ( | int | vec_count,
|  | int | vec_size,
|  | const float ** | vecs,
|  | const float * | another,
|  | float * | results
| ) |  |
| virtual

virtual void CvSVMKernel::calc_rbf | ( | int | vec_count,
|  | int | vec_size,
|  | const float ** | vecs,
|  | const float * | another,
|  | float * | results
| ) |  |
| virtual

virtual void CvSVMKernel::calc_sigmoid | ( | int | vec_count,
|  | int | vec_size,
|  | const float ** | vecs,
|  | const float * | another,
|  | float * | results
| ) |  |
| virtual

virtual void CvSVMKernel::clear | ( |  | ) |
| virtual

virtual bool CvSVMKernel::create | ( | const CvSVMParams * | params,
|  | Calc | _calc_func
| ) |  |
| virtual

## Member Data Documentation

Calc CvSVMKernel::calc_func

const CvSVMParams* CvSVMKernel::params

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp